PGARun(8)

NAME
PGARun - Highest level routine to execute the genetic algorithm. It is called after PGACreate and PGASetup have been called.

INPUT PARAMETERS
ctx - context variable
evaluate
    - a pointer to the user's evaluation function, which must have the calling sequence shown in the example.

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGARun(ctx, ctx)
PGAContext *ctx
double (*evaluate)(PGAContext *c, int p, int pop)

LOCATION
pga.c

EXAMPLE
Example:
PGAContext *ctx,
double f(PGAContext *ctx, int p, int pop);
:
ctx = PGACreate(&argc, argv, PGA_DATATYPE_BINARY, 100, PGA_MAXIMIZE);
PGASetUp(ctx);
PGARun(ctx, f);
PGADestroy(ctx);